Index: mythnews_sv.ts
===================================================================
--- mythnews_sv.ts	(revision 18174)
+++ mythnews_sv.ts	(arbetskopia)
@@ -1,135 +1,114 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!DOCTYPE TS><TS version="1.1">
+<!DOCTYPE TS><TS>
 <context>
     <name>MythNews</name>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="395"/>
         <source>Updated</source>
         <translation>Uppdaterad</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="402"/>
         <source>Unknown</source>
         <translation>Okänd</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Edit Site Details</source>
         <translation type="obsolete">Redigera platsdetaljer</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Enter Site Details</source>
         <translation type="obsolete">Ange platsdetaljer</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Name:</source>
         <translation type="obsolete">Namn:</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>URL:</source>
         <translation type="obsolete">URL:</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Icon:</source>
         <translation type="obsolete">Ikon:</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>OK</source>
         <translation type="obsolete">OK</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="810"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="807"/>
         <source>Edit News Site</source>
         <translation>Redigera nyhetsplats</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="808"/>
         <source>Add News Site</source>
         <translation>Lägg till nyhetsplats</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="809"/>
         <source>Delete News Site</source>
         <translation>Ta bort nyhetsplats</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="795"/>
         <source>Options</source>
-        <translation type="unfinished"></translation>
+        <translation>Valmöjligheter</translation>
     </message>
 </context>
 <context>
     <name>MythNewsConfig</name>
     <message>
-        <location filename="" line="97"/>
         <source>Press MENU to set the update frequency.</source>
         <translation type="obsolete">Tryck på MENY för att ställa in uppdateringsfrekvensen.</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Set update frequency by using the up/down arrows.
 The minimum allowed value is 30 Minutes.</source>
         <translation type="obsolete">Ställ in uppdateringsfrekvensen med knapparna upp och ner.
 Minsta tillåtna värdet är 30 minuter.</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Press MENU to return to feed selection.</source>
         <translation type="obsolete">Tryck på MENY för att återvända till val av nyhetskällor.</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnewsconfig.cpp" line="204"/>
         <source>Set update frequency by using the up/down arrows.Minimum value is 30 Minutes.</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Ställ in uppdateringsfrekvensen genom att använda upp/ner pilarna. Minsta värdet är 30 minuter.</translation>
     </message>
 </context>
 <context>
     <name>NewsSite</name>
     <message>
-        <location filename="../mythnews/newsengine.cpp" line="219"/>
         <source>Failed to retrieve news</source>
         <translation>Misslyckades med att hämta nyheter</translation>
     </message>
     <message>
-        <location filename="../mythnews/newsengine.cpp" line="199"/>
         <source>Retrieve Failed. </source>
         <translation>Mottagning misslyckades.</translation>
     </message>
     <message>
-        <location filename="../mythnews/newsengine.cpp" line="208"/>
         <source>No Cached News</source>
         <translation>Inga lagrade nyheter</translation>
     </message>
     <message>
-        <location filename="../mythnews/newsengine.cpp" line="221"/>
         <source>Failed to read downloaded file</source>
         <translation>Misslyckades med att läsa den nerladdade filen</translation>
     </message>
     <message>
-        <location filename="../mythnews/newsengine.cpp" line="227"/>
         <source>Showing Cached News</source>
         <translation>Visar lagrade nyheter</translation>
     </message>
+    <message>
+        <source>XML-file is not valid RSS-feed</source>
+        <translation>XML-filen är ingen giltig RSS-matning</translation>
+    </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="" line="97"/>
         <source>MythNews</source>
         <translation type="obsolete">MythNews</translation>
     </message>
     <message>
-        <location filename="" line="97"/>
         <source>Are you sure you want to delete this news site
 
 %1</source>
@@ -138,7 +117,6 @@
 %1</translation>
     </message>
     <message>
-        <location filename="../mythnews/mythnews.cpp" line="608"/>
         <source>Downloading media...</source>
         <translation>Laddar ned media...</translation>
     </message>
@@ -146,7 +124,6 @@
 <context>
     <name>ThemeUI</name>
     <message>
-        <location filename="themestrings.h" line="2"/>
         <source>Minutes</source>
         <translation>Minuter</translation>
     </message>