Index: mythfrontend_zh_tw.ts
===================================================================
--- mythfrontend_zh_tw.ts	(revision 18596)
+++ mythfrontend_zh_tw.ts	(working copy)
@@ -3415,7 +3415,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_nb.ts
===================================================================
--- mythfrontend_nb.ts	(revision 18596)
+++ mythfrontend_nb.ts	(working copy)
@@ -3892,7 +3892,7 @@
         <translation>Ekstra hurtiglagring av lyd</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Slå på denne innstillingen hvis MythTV spiller hakkete lyd og det brukes maskinvarekoding. Innstillingen har ingen effekt på MPEG-4- eller RTJPEG-video. Hakkingen fjernes ved at MythTV beholder ekstra lyddata i dets interne hurtigminne.</translation>
     </message>
     <message>
Index: mythfrontend_pt_br.ts
===================================================================
--- mythfrontend_pt_br.ts	(revision 18596)
+++ mythfrontend_pt_br.ts	(working copy)
@@ -4426,7 +4426,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_fr.ts
===================================================================
--- mythfrontend_fr.ts	(revision 18596)
+++ mythfrontend_fr.ts	(working copy)
@@ -5471,7 +5471,7 @@
         <translation type="obsolete">Bob (2x débit de trame)</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Activer ce paramètre si MythTV joue de l&apos;audio qui craque et que vous utilisez de l&apos;encodage matériel. Ce paramètre n&apos;a pas d&apos;effet sur les vidéos MPEG4 ou RTJPEG. MythTV gardera les données audio supplémentaires dans son tampon interne pour contourner ce problème.</translation>
     </message>
     <message>
Index: mythfrontend_et.ts
===================================================================
--- mythfrontend_et.ts	(revision 18596)
+++ mythfrontend_et.ts	(working copy)
@@ -4659,7 +4659,7 @@
         <translation>Täiendav heli puhverdamine</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Luba see, kui MythTV heli on ragisev ning sa kasutad riistvaralist kodeerimist. See ei mõju MPEG-4 ning RTJPEG video puhul.  Sellest probleemist ülesaamiseks hoiab MythTV heliandmeid täiendavalt sisemises puhvris.</translation>
     </message>
     <message>
Index: mythfrontend_nl.ts
===================================================================
--- mythfrontend_nl.ts	(revision 18596)
+++ mythfrontend_nl.ts	(working copy)
@@ -4612,7 +4612,7 @@
         <translation type="obsolete">Deïnterlace Instellingen</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Inschakelen wanneer MythTV krakend geluid afspeelt en u hardware-encoding gebruikt. Heeft geen effect op MPEG4 of RTJPEG-video. MythTV bewaart extra audio-data in zijn buffer om deze bug te omzeilen.</translation>
     </message>
     <message>
Index: mythfrontend_en_gb.ts
===================================================================
--- mythfrontend_en_gb.ts	(revision 18596)
+++ mythfrontend_en_gb.ts	(working copy)
@@ -4444,7 +4444,7 @@
         <translation></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation></translation>
     </message>
     <message>
Index: mythfrontend_pl.ts
===================================================================
--- mythfrontend_pl.ts	(revision 18596)
+++ mythfrontend_pl.ts	(working copy)
@@ -4538,7 +4538,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_it.ts
===================================================================
--- mythfrontend_it.ts	(revision 18596)
+++ mythfrontend_it.ts	(working copy)
@@ -4400,7 +4400,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_sl.ts
===================================================================
--- mythfrontend_sl.ts	(revision 18596)
+++ mythfrontend_sl.ts	(working copy)
@@ -3800,7 +3800,7 @@
         <translation>Dodatno zvo&#269;no predpolnjenje</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>&#268;e MythTV predvaja &quot;zlomljen&quot; zvok in &#269;e uporabljate strojno kodiranje, omogo&#269;ite to možnost. Ta nastavitev nima vpliva na MPEG-4 ali RTJPEG video. MythTV bo za obhod tega hroš&#269;a obdržal dodatne zvo&#269;ne podatke v svojem notranjem prepomnilniku.</translation>
     </message>
     <message>
Index: mythfrontend_ca.ts
===================================================================
--- mythfrontend_ca.ts	(revision 18596)
+++ mythfrontend_ca.ts	(working copy)
@@ -4225,7 +4225,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_pt.ts
===================================================================
--- mythfrontend_pt.ts	(revision 18596)
+++ mythfrontend_pt.ts	(working copy)
@@ -4213,7 +4213,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_da.ts
===================================================================
--- mythfrontend_da.ts	(revision 18596)
+++ mythfrontend_da.ts	(working copy)
@@ -4840,7 +4840,7 @@
         <translation type="obsolete">Deinterlace opsætning</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Aktiver denne opsætning hvis lyden fra MythTV er knitrer og du bruger hardware enkodning. Denne funktion har ingen virkning på MPEG-4 eller RTJPEG video. MythTV beholder ekstra lyd data internt for at undgå denne fejl.</translation>
     </message>
     <message>
Index: mythfrontend_tr.ts
===================================================================
--- mythfrontend_tr.ts	(revision 18596)
+++ mythfrontend_tr.ts	(working copy)
@@ -5079,7 +5079,7 @@
         <translation>Ekstra sesi arabelle&#287;e alma</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>MythTV, &quot;c&#305;z&#305;rt&#305;l&#305;&quot; ses çald&#305;&#287;&#305;nda ve donan&#305;m kodlamas&#305; kulland&#305;&#287;&#305;n&#305;zda bu ayar&#305; etkinle&#351;tirin. Bu ayar&#305;n MPEG-4 veya RTJPEG videosu üzerinde hiçbir etkisi olmaz. MythTV, bu hatay&#305; gidermek için ekstra ses verilerini dahili arabelleklerinde saklar.</translation>
     </message>
     <message>
Index: mythfrontend_de.ts
===================================================================
--- mythfrontend_de.ts	(revision 18596)
+++ mythfrontend_de.ts	(working copy)
@@ -4859,7 +4859,7 @@
         <translation type="obsolete">Deinterlace Einstellungen</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Testen Sie diese Einstellung bei Audioproblemen (Störgeräusche) mit Hardwarekodierern. Diese Option hat bei MPEG-4 oder RTJPEG Kodierung keine Wirkung. MythTV hält dabei mehr Audiodaten im internen Datenpuffer um diesen Fehler zu umgehen.</translation>
     </message>
     <message>
Index: mythfrontend_sv.ts
===================================================================
--- mythfrontend_sv.ts	(revision 18596)
+++ mythfrontend_sv.ts	(working copy)
@@ -4452,7 +4452,7 @@
         <translation type="obsolete">Avflätningsinställningar</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Aktivera om MythTV spelar upp med hack i ljudet och du använder hårdvarukodning. Denna inställning har ingen effekt på MPEG-4- eller RTJPEG-video. MythTV kommer att lagra extra mycket ljuddata i sina interna buffertar för att kringgå denna bugg.</translation>
     </message>
     <message>
Index: mythfrontend_ja.ts
===================================================================
--- mythfrontend_ja.ts	(revision 18596)
+++ mythfrontend_ja.ts	(working copy)
@@ -4802,7 +4802,7 @@
         <translation type="obsolete">&#12487;&#12452;&#12531;&#12479;&#12540;&#12524;&#12540;&#12473;&#35373;&#23450;</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>&#12495;&#12540;&#12489;&#12454;&#12455;&#12450;&#12456;&#12531;&#12467;&#12540;&#12489;&#20351;&#29992;&#12391;&#12289;&#20877;&#29983;&#20013;&#12395;&#38899;&#39131;&#12403;&#12364;&#30330;&#29983;&#12377;&#12427;&#22580;&#21512;&#12395;&#25351;&#23450;&#12375;&#12414;&#12377;&#12290;MPEG-4&#12354;&#12427;&#12356;&#12399;RTJPEG&#12434;&#25351;&#23450;&#12375;&#12390;&#12356;&#12427;&#22580;&#21512;&#12399;&#21177;&#26524;&#12399;&#12354;&#12426;&#12414;&#12379;&#12435;&#12290;</translation>
     </message>
     <message>
Index: mythfrontend_he.ts
===================================================================
--- mythfrontend_he.ts	(revision 18596)
+++ mythfrontend_he.ts	(working copy)
@@ -5461,7 +5461,7 @@
         <translation>Extra audio buffering</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_fi.ts
===================================================================
--- mythfrontend_fi.ts	(revision 18596)
+++ mythfrontend_fi.ts	(working copy)
@@ -4839,7 +4839,7 @@
         <translation type="obsolete">Lomitussäädöt</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Valitse tämä äänen ollessa rikkinäinen, jolloin MythTV pyrkii säilyttämään enemmän äänitietoa sisäisessä puskurissa.</translation>
     </message>
     <message>
Index: mythfrontend_cs.ts
===================================================================
--- mythfrontend_cs.ts	(revision 18596)
+++ mythfrontend_cs.ts	(working copy)
@@ -7800,7 +7800,7 @@
         <translation type="unfinished">Extra vyrovnávací pam&#283;&#357; pro audio</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished">Povolte toto nastavení pokud MythTV poškozuje p&#345;i p&#345;ehrávání zvuk a používáte hardwarové kódování. Toto nastavení nebude mít vliv na MPEG-4 nebo RTJPEG obraz. MythTV bude udržovat extra zvuková data v interní vyrovnávací pam&#283;ti pro odstran&#283;ní této chyby. </translation>
     </message>
     <message>
Index: mythfrontend_es.ts
===================================================================
--- mythfrontend_es.ts	(revision 18596)
+++ mythfrontend_es.ts	(working copy)
@@ -4859,7 +4859,7 @@
         <translation type="obsolete">Ajustes desentralazado</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>Active este ajuste si MythTV reproduce sonido con &quot;cracks&quot; y está usando codificación por hardware. Este ajuste no tiene efecto en video MPEG-4 o RTJPEG. MythTV mantendrá más datos de sonido en sus buffers de sonido para intentar solucionar este error.</translation>
     </message>
     <message>
Index: mythfrontend_is.ts
===================================================================
--- mythfrontend_is.ts	(revision 18596)
+++ mythfrontend_is.ts	(working copy)
@@ -4720,7 +4720,7 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
Index: mythfrontend_ru.ts
===================================================================
--- mythfrontend_ru.ts	(revision 18596)
+++ mythfrontend_ru.ts	(working copy)
@@ -4827,7 +4827,7 @@
         <translation>&#1044;&#1086;&#1087;&#1086;&#1083;&#1085;&#1080;&#1090;&#1077;&#1083;&#1100;&#1085;&#1099;&#1081; &#1072;&#1091;&#1076;&#1080;&#1086; &#1073;&#1091;&#1092;&#1077;&#1088;</translation>
     </message>
     <message>
-        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio and you are using hardware encoding. This setting will have no effect on MPEG-4 or RTJPEG video. MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
+        <source>Enable this setting if MythTV is playing &quot;crackly&quot; audio.  This setting affects digital tuners (QAM/DVB/ATSC) and hardware encoders.  It will have no effect on framegrabbers (MPEG-4/RTJPEG).  MythTV will keep extra audio data in its internal buffers to workaround this bug.</source>
         <translation>&#1056;&#1072;&#1079;&#1088;&#1077;&#1096;&#1080;&#1090;&#1077; &#1101;&#1090;&#1091; &#1085;&#1072;&#1089;&#1090;&#1088;&#1086;&#1081;&#1082;&#1091;, &#1077;&#1089;&#1083;&#1080; MythTV &#1087;&#1088;&#1086;&#1080;&#1075;&#1088;&#1099;&#1074;&#1072;&#1077;&#1090; &#1072;&#1091;&#1076;&#1080;&#1086; &#1089; &quot;&#1088;&#1072;&#1079;&#1088;&#1099;&#1074;&#1072;&#1084;&#1080;&quot; &#1080; &#1042;&#1099; &#1080;&#1089;&#1087;&#1086;&#1083;&#1100;&#1079;&#1091;&#1077;&#1090;&#1077; &#1072;&#1087;&#1087;&#1072;&#1088;&#1072;&#1090;&#1085;&#1099;&#1081; &#1082;&#1086;&#1076;&#1077;&#1088;. &#1069;&#1090;&#1072; &#1091;&#1089;&#1090;&#1072;&#1085;&#1086;&#1074;&#1082;&#1072; &#1085;&#1077; &#1076;&#1072;&#1077;&#1090; &#1101;&#1092;&#1092;&#1077;&#1082;&#1090;&#1072; &#1085;&#1072; MPEG-4 &#1080;&#1083;&#1080; RTJPEG &#1074;&#1080;&#1076;&#1077;&#1086;. MythTV &#1073;&#1091;&#1076;&#1077;&#1090; &#1076;&#1077;&#1088;&#1078;&#1072;&#1090;&#1100; &#1076;&#1086;&#1087;&#1086;&#1083;&#1085;&#1080;&#1090;&#1077;&#1083;&#1100;&#1085;&#1099;&#1077; &#1072;&#1091;&#1076;&#1080;&#1086; &#1076;&#1072;&#1085;&#1085;&#1099;&#1077; &#1074; &#1089;&#1074;&#1086;&#1077;&#1084; &#1074;&#1085;&#1091;&#1090;&#1088;&#1077;&#1085;&#1085;&#1077;&#1084; &#1073;&#1091;&#1092;&#1077;&#1088;&#1077; &#1095;&#1090;&#1086;&#1073;&#1099; &#1086;&#1073;&#1086;&#1081;&#1090;&#1080; &#1101;&#1090;&#1091; &#1086;&#1096;&#1080;&#1073;&#1082;&#1091;.</translation>
     </message>
     <message>