Index: blootubelite-wide/ui.xml
===================================================================
--- blootubelite-wide/ui.xml	(revision 19452)
+++ blootubelite-wide/ui.xml	(working copy)
@@ -1824,6 +1824,16 @@
           <position>302,106</position>
       </image>
 
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>335,106</position>
+      </image>
+
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>335,106</position>
+      </image>
+
       <!--
       <image name="preserved" draworder="6">
         <filename>preserved.png</filename>
@@ -2182,6 +2192,16 @@
         <position>245,106</position>
       </image>
 
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>277,106</position>
+      </image>
+
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>277,106</position>
+      </image>
+
     </container>
 
     <container name="program_info_del">
Index: blootube-wide/ui.xml
===================================================================
--- blootube-wide/ui.xml	(revision 19452)
+++ blootube-wide/ui.xml	(working copy)
@@ -1820,6 +1820,16 @@
         <position>245,106</position> 
       </image>
       
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>289,106</position>
+      </image>
+
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>289,106</position>
+      </image>
+
       <image name="watched" draworder="6">
           <filename>type/watched.png</filename>
           <position>302,106</position>
@@ -2183,6 +2193,16 @@
         <position>245,106</position>
       </image>
 
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>277,106</position>
+      </image>
+
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>277,106</position>
+      </image>
+
     </container>
 
     <container name="program_info_del">
Index: ProjectGrayhem/ui.xml
===================================================================
--- ProjectGrayhem/ui.xml	(revision 19452)
+++ ProjectGrayhem/ui.xml	(working copy)
@@ -1787,9 +1787,17 @@
         <filename>type/hd.png</filename>
         <position>245,106</position>
       </image>
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>277,106</position>
+      </image>
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>277,106</position>
+      </image>
       <image name="watched" draworder="6">
         <filename>type/watched.png</filename>
-        <position>277,106</position>
+        <position>309,106</position>
       </image>
 
     </container>
Index: neon-wide/ui.xml
===================================================================
--- neon-wide/ui.xml	(revision 19452)
+++ neon-wide/ui.xml	(working copy)
@@ -1830,6 +1830,16 @@
         <filename>type/hd.png</filename> 
         <position>245,106</position> 
       </image>
+
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>289,106</position>
+      </image>
+
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>289,106</position>
+      </image>
       
       <image name="watched" draworder="6">
           <filename>type/watched.png</filename>
@@ -2193,6 +2203,16 @@
         <position>245,106</position>
       </image>
 
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>277,106</position>
+      </image>
+
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>277,106</position>
+      </image>
+
     </container>
 
     <container name="program_info_del">
Index: ProjectGrayhem-wide/ui.xml
===================================================================
--- ProjectGrayhem-wide/ui.xml	(revision 19452)
+++ ProjectGrayhem-wide/ui.xml	(working copy)
@@ -1790,9 +1790,19 @@
         <position>245,106</position> 
       </image>
 
+      <image name="1080" draworder="6">
+        <filename>1080.png</filename>
+        <position>277,106</position>
+      </image>
+
+      <image name="720" draworder="6">
+        <filename>720.png</filename>
+        <position>277,106</position>
+      </image>
+
       <image name="watched" draworder="6">
            <filename>type/watched.png</filename>
-           <position>277,106</position>
+           <position>309,106</position>
       </image>
 
     </container>